import { VariableInfo } from 'wgsl_reflect'

export class VariableStageInfo {
  stages: GPUShaderStageFlags
  variableInfo: VariableInfo

  constructor(stages: GPUShaderStageFlags, variableInfo: VariableInfo) {
    this.stages = stages
    this.variableInfo = variableInfo
  }
}

export class BindingMap extends Map<number, VariableStageInfo> { }

export class GroupBindingMap extends Map<number, BindingMap> { }



