import { GraphicsDevice } from '../core/graphics-device.js'

export class GraphicsDeviceInitialized {
  static EventName = 'graphics-device:initialized'
  graphicsDevice: GraphicsDevice

  constructor(graphicsDevice: GraphicsDevice) {
    this.graphicsDevice = graphicsDevice
  }
}

export class GraphicsDeviceLost {
  static EventName = 'graphics-device:device-lost'
  info: GPUDeviceLostInfo

  constructor(info: GPUDeviceLostInfo) {
    this.info = info
  }
}


