export class BitFlags {
  _value: number

  get flags() {
    return this._value
  }

  constructor(value: number) {
    this._value = value
  }

  static has(a: number, b: number) {
    return (a & b) === b
  }

  static add(a: number, b: number) {
    return a | b
  }

  has(b: number) {
    return BitFlags.has(this._value, b)
  }

  add(b: number) {
    return BitFlags.add(this._value, b)
  }
}

